OECAPI 3.5.14.1

.NET Framework
Suggested Alternatives

GFAPI

Additional Details

Please use GFAPI instead

There is a newer version of this package available.
See the version list below for details.
dotnet add package OECAPI --version 3.5.14.1
NuGet\Install-Package OECAPI -Version 3.5.14.1
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="OECAPI" Version="3.5.14.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add OECAPI --version 3.5.14.1
#r "nuget: OECAPI, 3.5.14.1"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install OECAPI as a Cake Addin
#addin nuget:?package=OECAPI&version=3.5.14.1

// Install OECAPI as a Cake Tool
#tool nuget:?package=OECAPI&version=3.5.14.1

OEC API library encapsulates network communication between client application and OEC Servers and provided object-oriented access to OEC functionality through exposed components (objects), their properties, methods and events.

Product Versions
.NET Framework net
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

This package has no dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
3.5.14.53 1,452 10/4/2018
3.5.14.41 1,191 9/28/2017
3.5.14.1 1,524 3/11/2016
3.5.14 1,979 3/6/2015
3.5.13 1,567 3/21/2014
3.5.12 1,308 1/7/2014
3.5.11 1,331 9/27/2013
3.5.10 1,208 7/24/2013
3.5.0 1,255 7/24/2013

Fixed errors:
   Critical Error Message - InvalidOperationException at API.Core.CheckEvents
   Closed positions were counted as quote limit
   Only the most recent instance of OECClient was able to send allocation blocks
   Critical Error Message - NRE if Disconnect() is called before Connect()
Changes:
   Added Version.MaximumEnd and Version.MinimumStart
   Added DataFeedEntitlement